import type { InputRangeDateProps } from "./input-range-date";
type __VLS_Props = InputRangeDateProps;
type __VLS_ModelProps = {
    "start"?: any;
    "end"?: any;
};
type __VLS_PublicProps = __VLS_Props & __VLS_ModelProps;
declare var __VLS_6: {};
type __VLS_Slots = {} & {
    connector?: (props: typeof __VLS_6) => any;
};
declare const __VLS_base: import("vue").DefineComponent<__VLS_PublicProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:start": (value: any) => any;
    "update:end": (value: any) => any;
}, string, import("vue").PublicProps, Readonly<__VLS_PublicProps> & Readonly<{
    "onUpdate:start"?: ((value: any) => any) | undefined;
    "onUpdate:end"?: ((value: any) => any) | undefined;
}>, {
    connector: string;
    disabledData: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_export: __VLS_WithSlots<typeof __VLS_base, __VLS_Slots>;
declare const _default: typeof __VLS_export;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
